{
===============================================================================
  Copyright (©) 2002. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 03-11-2002
  Versión actual: 1.0.0
  Fecha versión actual: 03-11-2002
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit BarraClientes;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RdxBotones, ExtCtrls, RdxPaneles, RdxBarras, RdxFrame, ActnList,
  StdCtrls, pngimage;

type
  TfrBarraClientes = class(TRdxFrame)
    Acciones: TActionList;
    actClientes: TAction;
    actPresupuestos: TAction;
    actContratos: TAction;
    actFacturas: TAction;
    actPagos: TAction;
    actFacturasP: TAction;
    Panel2: TPanel;
    shSeparador: TShape;
    pnlBarraLateral: TPanel;
    imgFondo: TImage;
    pnlTitulo: TPanel;
    eTitulo: TLabel;
    imgSombra: TImage;
    bClientes: TRdxBotonLateral;
    bPresupuestos: TRdxBotonLateral;
    bContratos: TRdxBotonLateral;
    bFacturas: TRdxBotonLateral;
    bCobros: TRdxBotonLateral;
    actObras: TAction;
    bAlbaranes: TRdxBotonLateral;
    actAlbaranes: TAction;
    procedure actClientesExecute(Sender: TObject);
    procedure actFacturasExecute(Sender: TObject);
    procedure actPresupuestosExecute(Sender: TObject);
    procedure actPagosExecute(Sender: TObject);
    procedure actFacturasPExecute(Sender: TObject);
    procedure actContratosExecute(Sender: TObject);
    procedure actAlbaranesExecute(Sender: TObject);
  public
    constructor Create (AOwner: TComponent); override;
  end;

var
  frBarraClientes: TfrBarraClientes;

implementation
{$R *.DFM}
uses
  Principal, Clientes, PresupuestosClientes, FacturasClientes, PagosClientes,
  InformeTrimestral, Entidades, FacturasProforma, ContratosClientes, Configuracion,
  AlbaranesClientes;

constructor TfrBarraClientes.Create (AOwner: TComponent);
begin
  inherited Create(AOwner);
  Entidad := entCliente;
  ConfigurarBarraLateral(Self, Self.Entidad);  
  actClientes.Execute;
end;

procedure TfrBarraClientes.actClientesExecute(Sender: TObject);
begin
  Contenido := TfrClientes.Create(Self);
end;

procedure TfrBarraClientes.actFacturasExecute(Sender: TObject);
begin
  Contenido := TfrFacturasClientes.Create(Self);
end;

procedure TfrBarraClientes.actPresupuestosExecute(Sender: TObject);
begin
  Contenido := TfrPresupuestosClientes.Create(Self);
end;

procedure TfrBarraClientes.actPagosExecute(Sender: TObject);
begin
  Contenido := TfrPagosClientes.Create(Self);
end;

procedure TfrBarraClientes.actFacturasPExecute(Sender: TObject);
begin
  Contenido := TfrFacturasProforma.Create(Self);
end;

procedure TfrBarraClientes.actContratosExecute(Sender: TObject);
begin
  Contenido := TfrContratosClientes.Create(Self);
end;

procedure TfrBarraClientes.actAlbaranesExecute(Sender: TObject);
begin
  Contenido := TfrAlbaranesClientes.Create(Self);
end;

end.
